# Uses of Interface
org.springframework.cache.interceptor.CacheErrorHandler

Packages that use CacheErrorHandler
Package
Description
org.springframework.cache.annotation
Annotations and supporting classes for declarative cache management.
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.

## Uses of CacheErrorHandler in org.springframework.cache.annotation

Fields in org.springframework.cache.annotation with type parameters of type CacheErrorHandler
Modifier and Type
Field
Description
`protected Supplier<CacheErrorHandler>`
AbstractCachingConfiguration.`errorHandler`
Methods in org.springframework.cache.annotation that return CacheErrorHandler
Modifier and Type
Method
Description
`default CacheErrorHandler`
CachingConfigurer.`errorHandler()`
Return the `CacheErrorHandler` to use to handle cache-related errors.
`CacheErrorHandler`
CachingConfigurerSupport.`errorHandler()`
Deprecated.

## Uses of CacheErrorHandler in org.springframework.cache.interceptor

Classes in org.springframework.cache.interceptor that implement CacheErrorHandler
Modifier and Type
Class
Description
`class`
`LoggingCacheErrorHandler`
A `CacheErrorHandler` implementation that logs error messages.
`class`
`SimpleCacheErrorHandler`
A simple `CacheErrorHandler` that does not handle the exception at all, simply throwing it back at the client.
Fields in org.springframework.cache.interceptor with type parameters of type CacheErrorHandler
Modifier and Type
Field
Description
`protected org.springframework.util.function.SingletonSupplier<CacheErrorHandler>`
AbstractCacheInvoker.`errorHandler`
Methods in org.springframework.cache.interceptor that return CacheErrorHandler
Modifier and Type
Method
Description
`CacheErrorHandler`
AbstractCacheInvoker.`getErrorHandler()`
Return the `CacheErrorHandler` to use.
Methods in org.springframework.cache.interceptor with parameters of type CacheErrorHandler
Modifier and Type
Method
Description
`void`
AbstractCacheInvoker.`setErrorHandler(CacheErrorHandler errorHandler)`
Set the `CacheErrorHandler` instance to use to handle errors thrown by the cache provider.
Method parameters in org.springframework.cache.interceptor with type arguments of type CacheErrorHandler
Modifier and Type
Method
Description
`void`
CacheAspectSupport.`configure(Supplier<CacheErrorHandler> errorHandler, Supplier<KeyGenerator> keyGenerator, Supplier<CacheResolver> cacheResolver, Supplier<CacheManager> cacheManager)`
Configure this aspect with the given error handler, key generator and cache resolver/manager suppliers, applying the corresponding default if a supplier is not resolvable.
Constructors in org.springframework.cache.interceptor with parameters of type CacheErrorHandler
Modifier
Constructor
Description
`protected`
`AbstractCacheInvoker(CacheErrorHandler errorHandler)`